{
	"easycom": {
		"autoscan": true,
		// 注意一定要放在custom里，否则无效，https://ask.dcloud.net.cn/question/131175
		"custom": {
			"^u--(.*)": "@/uni_modules/uview-plus/components/u-$1/u-$1.vue",
			"^up-(.*)": "@/uni_modules/uview-plus/components/u-$1/u-$1.vue",
			"^u-([^-].*)": "@/uni_modules/uview-plus/components/u-$1/u-$1.vue"
		}
	},
	"pages": [ //pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
		{
			"path": "pages/index/index",
			"style": {
				"navigationBarTitleText": "首页",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/classify/new",
			"style": {
				"navigationBarTitleText": "分类",
				"navigationStyle": "custom"
			}
		},
		{
			"path": "pages/classify/index",
			"style": {
				"navigationBarTitleText": "分类"
			}
		},
		{
			"path": "pages/message/index",
			"style": {
				"navigationBarTitleText": "互动"
			}
		},
		{
			"path": "pages/cart/index",
			"style": {
				"navigationBarTitleText": "购物车",
				"navigationStyle": "custom"
			}
		},
		{
			"path": "pages/user/index",
			"style": {
				"navigationBarTitleText": "我的",
				"navigationStyle": "custom"
			}
		},
		{
			"path": "pages/user/login",
			"style": {
				"navigationBarTitleText": "登录"
			}
		},
		{
			"path": "pages/user/authorize",
			"style": {
				"navigationBarTitleText": "微信授权"
			}
		},
		{
			"path": "pages/user/info",
			"style": {
				"navigationBarTitleText": "个人信息"
			}
		},
		{
			"path": "pages/user/setpwd",
			"style": {
				"navigationBarTitleText": "密码"
			}
		},
		{
			"path": "pages/classify/all",
			"style": {
				"navigationBarTitleText": "全部商品"
			}
		},
		{
			"path": "pages/lotRecom/index",
			"style": {
				"navigationBarTitleText": "专题推荐"
			}
		},
		{
			"path": "pages/search/index",
			"style": {
				"navigationBarTitleText": "商品搜索"
			}
		},
		{
			"path": "pages/search-result/index",
			"style": {
				"navigationBarTitleText": "商品搜索"
			}
		},
		{
			"path": "pages/smallshop/index",
			"style": {
				"navigationStyle": "custom",
				"enablePullDownRefresh": false
			}
		},
		{
			"path": "pages/smallshop/classTwo",
			"style": {
				"navigationBarTitleText": "商品详情",
				"navigationStyle": "custom",
				"enablePullDownRefresh": false
			}
		},
		{
			"path": "pages/address/list/index",
			"style": {
				"navigationBarTitleText": "地址管理"
			}
		},
		{
			"path": "pages/address/info/index",
			"style": {
				"navigationBarTitleText": "地址管理"
			}
		},
		{
			"path": "pages/order/list/index",
			"style": {
				"navigationBarTitleText": "我的订单",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/order/comment/index",
			"style": {
				"navigationBarTitleText": "我的评价",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/order/comment/append",
			"style": {
				"navigationBarTitleText": "填写评价"
			}
		},
		{
			"path": "pages/order/comment/write",
			"style": {
				"navigationBarTitleText": "填写评价"
			}
		},
		{
			"path": "pages/order/comment/success",
			"style": {
				"navigationBarTitleText": "评价成功"
			}
		},
		{
			"path": "pages/order/info/index",
			"style": {
				"navigationBarTitleText": "我的订单"
			}
		},
		{
			"path": "pages/order/cancel/index",
			"style": {
				"navigationBarTitleText": "取消订单"
			}
		},
		{
			"path": "pages/order/express/index",
			"style": {
				"navigationBarTitleText": "物流信息"
			}
		},
		{
			"path": "pages/presale/index",
			"style": {
				"navigationBarTitleText": "新品预告"
			}
		},
		{
			"path": "pages/sale/index",
			"style": {
				"navigationBarTitleText": "超级爆款"
			}
		},
		{
			"path": "pages/sale/list",
			"style": {
				"navigationBarTitleText": "TOP榜单"
			}
		},
		{
			"path": "pages/subset/index",
			"style": {
				"navigationBarTitleText": "分类推荐",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/special/index",
			"style": {
				"navigationBarTitleText": "专题推荐"
			}
		},
		{
			"path": "pages/saleTop/hot",
			"style": {
				"navigationBarTitleText": "热卖榜单"
			}
		},
		{
			"path": "pages/saleTop/super",
			"style": {
				"navigationBarTitleText": "超级爆品"
			}
		},
		{
			"path": "pages/productDetails/index",
			"style": {
				"navigationStyle": "custom",
				"enablePullDownRefresh": false
			}

		},
		{
			"path": "pages/article/index",
			"style": {
				"navigationBarTitleText": "妙选商城"
			}
		},
		{
			"path": "pages/success/index",
			"style": {
				"navigationBarTitleText": "支付成功"
			}
		},
		{
			"path": "pages/success/two",
			"style": {
				"navigationBarTitleText": "购买成功"
			}
		},
		{
			"path": "pages/share/index",
			"style": {
				"navigationBarTitleText": "查看评论"
			}
		},
		{
			"path": "pages/groups/index",
			"style": {
				"navigationBarTitleText": "妙选商城",
				"navigationStyle": "custom"
			}
		},
		{
			"path": "pages/groups/videolist",
			"style": {
				"navigationBarTitleText": "视频"
			}
		},
		{
			"path": "pages/groups/video",
			"style": {
				"navigationBarTitleText": "视频",
				"navigationStyle": "custom"
			}
		},
		{
			"path" : "pages/groups/comment",
			"style" :                                                                                    
			{
				"navigationBarTitleText": "宝贝评价"
			}
		},
		{
			"path": "pages/pay/index",
			"style": {
				"navigationBarTitleText": "确认订单"
			}
		}
	],
	"subPackages": [
		{
			"root": "pages/mine",
			"pages": [
				{
					"path": "groupBuy/customized",
					"style": {
						"navigationBarTitleText": "定制品日历"
					}
				},
				{
					"path": "aboutUs/index",
					"style": {
						"navigationBarTitleText": "关于我们"
					}
				},
				{
					"path": "aboutUs/article",
					"style": {
						"navigationBarTitleText": "关于我们"
					}
				},
				{
					"path": "aboutUs/join",
					"style": {
						"navigationBarTitleText": "加入我们"
					}
				},
				{
					"path": "aboutUs/service",
					"style": {
						"navigationBarTitleText": "添加客服"
					}
				},
				{
					"path": "msg/list",
					"style": {
						"navigationBarTitleText": "通知消息"
					}
				},
				{
					"path": "msg/select",
					"style": {
						"navigationBarTitleText": "投诉"
					}
				},
				{
					"path": "msg/complaint",
					"style": {
						"navigationBarTitleText": "投诉"
					}
				},
				{
					"path": "msg/feedback",
					"style": {
						"navigationBarTitleText": "我的反馈"
					}
				},
				{
					"path": "coupon/index",
					"style": {
						"navigationBarTitleText": "我的优惠券",
						"enablePullDownRefresh": false
					}
				},
				{
					"path": "groupBuy/new",
					"style": {
						"navigationBarTitleText": "新品日历"
					}
				},
				{
					"path": "wise/index",
					"style":
					{
						"navigationBarTitleText": "心愿单"
					}
				},
				{
					"path": "wise/add",
					"style":
					{
						"navigationBarTitleText": "好物申请"
					}
				},
				{
					"path": "scoreShop/index",
					"style": {
						"navigationBarTitleText": "积分中心",
						"enablePullDownRefresh": true
					}
				},
				{
					"path": "scoreShop/good",
					"style": {
						"navigationBarTitleText": "商品详情"
					}
				},
				{
					"path": "scoreShop/detail",
					"style": {
						"navigationBarTitleText": "积分明细"
					}
				},
				{
					"path": "scoreShop/myprize",
					"style": {
						"navigationBarTitleText": "我的奖品"
					}
				},
				{
					"path": "collection/index",
					"style": {
						"navigationBarTitleText": "收藏与浏览",
						"navigationStyle": "custom",
						"enablePullDownRefresh": true
					}
				},
				{
					"path": "refund/service/index",
					"style": {
						"navigationBarTitleText": "选择服务"
					}
				},
				{
					"path": "refund/expressinfo/index",
					"style": {
						"navigationBarTitleText": "退货物流信息"
					}
				},
				{
					"path": "refund/senddetail/index",
					"style": {
						"navigationBarTitleText": "寄件详情"
					}
				},
				{
					"path": "refund/aftersale/index",
					"style": {
						"navigationBarTitleText": "售后详情"
					}
				},
				{
					"path": "refund/sendgoods/index",
					"style": {
						"navigationBarTitleText": "货物寄回"
					}
				},
				{
					"path": "refund/fillno/index",
					"style": {
						"navigationBarTitleText": "填写物流单号"
					}
				},
				{
					"path": "refund/apply/index",
					"style": {
						"navigationBarTitleText": "申请退款"
					}
				},
				{
					"path": "refund/choice/index",
					"style": {
						"navigationBarTitleText": "退款"
					}
				},
				{
					"path": "realName/list",
					"style": {
						"navigationBarTitleText": "实名认证"
					}
				},
				{
					"path": "realName/edit",
					"style": {
						"navigationBarTitleText": "实名认证"
					}
				},
				{
					"path": "invoice/apply",
					"style":  {
						"navigationBarTitleText": "申请开票"
					}
				},
				{
					"path": "invoice/detail",
					"style":  {
						"navigationBarTitleText": "发票详情"
					}
				},
				{
					"path": "other/ranking",
					"style":
					{
						"navigationBarTitleText": "热销榜"
					}
				},
				{
				    "path": "other/supplier",
				    "style":
					{
						"navigationBarTitleText": "执照信息"
					}
				},
				{
					"path": "other/grass",
					"style":
					{
						"navigationBarTitleText": "种草"
					}
				},
				{
					"path": "other/grassShare",
					"style":
					{
						"navigationBarTitleText": "晒单详情"
					}
				},
				{
				    "path": "other/directsales/validate",
				    "style":
					{
						"navigationBarTitleText": "店铺信息"
					}
				},
				{
				    "path": "other/directsales/index",
				    "style":
					{
						"navigationBarTitleText": "主体信息"
					}
				}
			]
		},
		{
			"root": "pages/vip",
			"pages": [
				{
					"path": "mine/index",
					"style": {
						"navigationBarTitleText": "我的会员"
					}
				},
				{
					"path": "pay/index",
					"style": {
						"navigationBarTitleText": "购买会员"
					}
				},
				{
					"path": "share/index",
					"style": {
						"navigationBarTitleText": "分享美好"
					}
				},
				{
					"path": "intro/index",
					"style": {
						"navigationBarTitleText": "会员介绍"
					}
				}
			]
		}
	],
	"tabBar": {
		"custom": true,
		"position": "bottom",
		"height": "55px",
		"list": [
			{
				"pagePath": "pages/index/index"
			},
			{
				"pagePath": "pages/classify/new"
			},
			{
				"pagePath": "pages/classify/index"
			},
			{
				"pagePath": "pages/message/index"
			},
			{
				"pagePath": "pages/cart/index"
			},
			{
				"pagePath": "pages/user/index"
			}
		]
	},
	"globalStyle": {
		"navigationBarTextStyle": "black",
		"navigationBarTitleText": "妙选商城",
		"navigationBarBackgroundColor": "#ffffff",
		"backgroundColor": "#F5F5F5",
		"usingComponents": {
			"qiun-wx-ucharts": "/wxcomponents/dist/qiun-wx-ucharts/index"
		}
	},
	"uniIdRouter": {}
}
